Subject: Re: linux-next: build failure after merge of the staging tree

From: Jonathan Cameron <[email-masked]>
Date: Tue, 18 Sep 2012 21:40:52 +0100

On 09/12/2012 07:07 AM, Stephen Rothwell wrote:
> Hi Greg,
> 
> After merging the staging tree, today's linux-next build (x86_64 allmodconfig) failed like this:
> 
> drivers/hid/hid-sensor-hub.c: In function 'sensor_hub_probe': drivers/hid/hid-sensor-hub.c:599:3: error: too few
> arguments to function 'mfd_add_devices'
> 
> Caused by commit 401ca24fb34a ("HID: sensors: introduce sensor framework") interacting with commit 6607bad3d763
> ("mfd: core: Push irqdomain mapping out into devices") from the mfd tree.
> 
> I have added the following merge fix patch and can carry it as necessary (no action is required).

Just as a heads up, this issue has now bitten us directly in the staging-next
tree as the mfd change is now in Linus' tree and that was merged into
staging-next at rc6.

I'll queue up Stephen's patch but might be a few days before I send the pull
containing it to Greg.

> 
> From: Stephen Rothwell <[email-masked]> Date: Wed, 12 Sep 2012 16:03:55 +1000 Subject: [PATCH] HID: sensors:
> fix up for mfd_add_devices() API change
> 
> Signed-off-by: Stephen Rothwell <[email-masked]> --- drivers/hid/hid-sensor-hub.c |    2 +- 1 file changed, 1
> insertion(+), 1 deletion(-)
> 
> diff --git a/drivers/hid/hid-sensor-hub.c b/drivers/hid/hid-sensor-hub.c index 34a35ba..4ac759c 100644 ---
> a/drivers/hid/hid-sensor-hub.c +++ b/drivers/hid/hid-sensor-hub.c @@ -596,7 +596,7 @@ static int
> sensor_hub_probe(struct hid_device *hdev, } } ret = mfd_add_devices(&hdev->dev, 0, sd->hid_sensor_hub_client_devs, 
> -		sd->hid_sensor_client_cnt, NULL, 0); +		sd->hid_sensor_client_cnt, NULL, 0, NULL); if (ret < 0) goto
> err_free_names;
> 
>